{
  "accUserMode" : 2,
  "caption" : "测试多数据编辑器",
  "codeName" : "bookUsr07257969EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsr07257969EditView.json",
  "name" : "bookUsr07257969EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Usr07257969EditViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "测试多数据编辑器_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TEXT.*.SAVE",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.SAVE]",
        "refFlag" : true
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TEXT.*.SAVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.SAVE]",
          "refFlag" : true
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "保存",
          "lanResTag" : "TBB.TOOLTIP.*.SAVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.SAVE]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "保存",
        "lanResTag" : "TBB.TOOLTIP.*.SAVE",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.SAVE]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "form",
    "modelid" : "03BC3D3C-33CD-4161-BD65-D46D2AA9ABC7",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Usr07257969EditView_Form",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Usr07257969EditView_Form.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "logicName" : "测试多数据编辑器_表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "bookname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "id" : "bookid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "书基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "书名称",
          "codeName" : "bookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "bookname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "BOOKNAME",
            "codeName" : "BookName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "bookname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "多数据表单",
        "codeName" : "grouppanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel1",
        "getPSDEFormDetails" : [ {
          "codeName" : "mdctrl1",
          "getContentPSControl" : {
            "codeName" : "Mdctrlform",
            "controlType" : "FORM",
            "getCreatePSControlAction" : {
              "modelref" : true,
              "id" : "create",
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "defaultLabelWidth" : 130,
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/Mdctrlform.json",
            "getGetDraftFromPSControlAction" : {
              "modelref" : true,
              "id" : "loaddraftfrom",
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetDraftPSControlAction" : {
              "modelref" : true,
              "id" : "loaddraft",
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetPSControlAction" : {
              "modelref" : true,
              "id" : "load",
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "logicName" : "多数据表单",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "GETDRAFTFROM",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraftfrom",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "enableDEFieldPrivilege" : false,
              "id" : "编辑表单处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true
            },
            "getPSDEFormItems" : [ {
              "id" : "srfupdatedate",
              "hidden" : true,
              "dataType" : 5,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "id" : "srforikey",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfkey",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "id" : "srfmajortext",
              "hidden" : true,
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "srftempmode",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfuf",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfdeid",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "srfsourcekey",
              "hidden" : true,
              "dataType" : 25
            }, {
              "id" : "testid",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "id" : "testname",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "field",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "FIELD",
                "codeName" : "Field"
              }
            } ],
            "getPSDEFormPages" : [ {
              "caption" : "基本信息",
              "codeName" : "formpage1",
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMPAGE",
              "name" : "formpage1",
              "getPSDEFormDetails" : [ {
                "actionGroupExtractMode" : "ITEM",
                "caption" : "多数据表单",
                "codeName" : "group1",
                "detailStyle" : "DEFAULT",
                "detailType" : "GROUPPANEL",
                "name" : "group1",
                "getPSDEFormDetails" : [ {
                  "caption" : "测试实体标识",
                  "codeName" : "testid",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "testid",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "TESTID",
                    "codeName" : "TESTId"
                  },
                  "getPSEditor" : {
                    "editorType" : "SPAN",
                    "name" : "testid",
                    "enableLinkView" : false
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "caption" : "测试实体名称",
                  "codeName" : "testname",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "testname",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "TESTNAME",
                    "codeName" : "TESTName"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 50,
                    "minLength" : 3,
                    "name" : "testname"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                }, {
                  "caption" : "属性",
                  "codeName" : "field",
                  "dataType" : 25,
                  "detailStyle" : "DEFAULT",
                  "detailType" : "FORMITEM",
                  "enableCond" : 3,
                  "ignoreInput" : 0,
                  "labelPos" : "LEFT",
                  "labelWidth" : 130,
                  "name" : "field",
                  "noPrivDisplayMode" : 1,
                  "getPSAppDEField" : {
                    "name" : "FIELD",
                    "codeName" : "Field"
                  },
                  "getPSEditor" : {
                    "editorType" : "TEXTBOX",
                    "maxLength" : 100,
                    "name" : "field"
                  },
                  "getPSLayoutPos" : {
                    "colMD" : 24,
                    "layout" : "TABLE_24COL"
                  },
                  "allowEmpty" : true,
                  "showCaption" : true
                } ],
                "getPSLayout" : {
                  "childColLG" : -1,
                  "childColMD" : 24,
                  "childColSM" : -1,
                  "childColXS" : -1,
                  "columnCount" : 24,
                  "layout" : "TABLE_24COL"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "infoGroupMode" : false,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getRemovePSControlAction" : {
              "modelref" : true,
              "id" : "remove",
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "tabHeaderPos" : "TOP",
            "getUpdatePSControlAction" : {
              "modelref" : true,
              "id" : "update",
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "noTabHeader" : true,
            "name" : "mdctrl1_form",
            "modelid" : "6D081B87-DB8E-4185-9642-27FAC41697C9",
            "modeltype" : "PSDEFORM_EDITFORM"
          },
          "contentType" : "FORM",
          "detailStyle" : "DEFAULT",
          "detailType" : "MDCTRL",
          "name" : "mdctrl1",
          "getPSAppDEField" : {
            "name" : "FIELD26",
            "codeName" : "Field26"
          },
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "多数据表格",
        "codeName" : "grouppanel2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel2",
        "getPSDEFormDetails" : [ {
          "codeName" : "mdctrl2",
          "getContentPSControl" : {
            "aggMode" : "NONE",
            "codeName" : "Mdctrlgrid",
            "columnEnableFilter" : 2,
            "columnEnableLink" : 2,
            "controlType" : "GRID",
            "getCreatePSControlAction" : {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/Mdctrlgrid.json",
            "getFetchPSControlAction" : {
              "modelref" : true,
              "id" : "fetch",
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetDraftPSControlAction" : {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "getGetPSControlAction" : {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "groupMode" : "NONE",
            "logicName" : "多数据表格",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "Get",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Get"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Create",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Create"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Update",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Update"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "Remove",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "GetDraft",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FetchDefault"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "userDRAction" : "READ",
              "enableDEFieldPrivilege" : false,
              "id" : "数据表格处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true
            },
            "getPSDEDataImport" : {
              "modelref" : true,
              "id" : "DataImport"
            },
            "getPSDEGridColumns" : [ {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "名称",
              "codeName" : "testname",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "testname",
              "excelCaption" : "名称",
              "name" : "testname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "金额",
              "codeName" : "amount",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "amount",
              "excelCaption" : "金额",
              "name" : "amount",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              },
              "unitName" : "元",
              "width" : 100,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true,
              "enableUnitName" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "类型",
              "codeName" : "type",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "type",
              "excelCaption" : "类型",
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/TestType.json"
              },
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            } ],
            "getPSDEGridDataItems" : [ {
              "dataType" : 25,
              "name" : "testname",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "dataType" : 6,
              "name" : "amount",
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              }
            }, {
              "dataType" : 25,
              "name" : "type",
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              }
            }, {
              "dataType" : 25,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfdataaccaction",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "dataAccessAction" : true
            }, {
              "dataType" : 25,
              "name" : "srfmajortext",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            } ],
            "getPSDEGridEditItems" : [ {
              "caption" : "名称",
              "codeName" : "testname",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "testname",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 50,
                "minLength" : 3,
                "name" : "testname"
              },
              "allowEmpty" : true
            }, {
              "caption" : "金额",
              "codeName" : "amount",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "amount",
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              },
              "getPSEditor" : {
                "editorType" : "NUMBER",
                "maxValue" : 10000.0,
                "minValue" : 19.0,
                "name" : "amount",
                "precision" : 2
              },
              "unitName" : "元",
              "allowEmpty" : true,
              "enableUnitName" : true
            }, {
              "caption" : "类型",
              "codeName" : "type",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "type",
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "getPSEditor" : {
                "editorType" : "DROPDOWNLIST",
                "name" : "type",
                "getPSAppCodeList" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/TestType.json"
                },
                "singleSelect" : true
              },
              "allowEmpty" : true,
              "needCodeListConfig" : true
            }, {
              "caption" : "测试实体标识",
              "codeName" : "srfkey",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "srfkey"
              },
              "allowEmpty" : true
            } ],
            "pagingSize" : 20,
            "getRemovePSControlAction" : {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "sortMode" : "REMOTE",
            "getUpdatePSControlAction" : {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "hasWFDataItems" : false,
            "enableColFilter" : false,
            "enableCustomized" : true,
            "enableGroup" : false,
            "enablePagingBar" : false,
            "enableRowEdit" : true,
            "enableRowEditOrder" : false,
            "enableRowNew" : true,
            "forceFit" : false,
            "hideHeader" : false,
            "noSort" : false,
            "singleSelect" : false,
            "name" : "mdctrl2_grid",
            "modelid" : "0F4F8158-3522-48EF-A383-AB801CE5C485",
            "modeltype" : "PSDEGRID"
          },
          "contentType" : "GRID",
          "detailStyle" : "DEFAULT",
          "detailType" : "MDCTRL",
          "name" : "mdctrl2",
          "getPSAppDEField" : {
            "name" : "FIELD27",
            "codeName" : "Field27"
          },
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "重复器（表单）",
        "codeName" : "grouppanel3",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel3",
        "getPSDEFormDetails" : [ {
          "codeName" : "mdctrl3",
          "contentType" : "REPEATER",
          "detailStyle" : "DEFAULT",
          "detailType" : "MDCTRL",
          "name" : "mdctrl3",
          "getPSAppDEField" : {
            "name" : "FIELD9",
            "codeName" : "Field9"
          },
          "getPSDEFormDetails" : [ {
            "caption" : "文本框",
            "codeName" : "formitem",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "formitem"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          }, {
            "caption" : "数值框",
            "codeName" : "formitem1",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem1",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "NUMBER",
              "name" : "formitem1"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          }, {
            "actionGroupExtractMode" : "ITEM",
            "caption" : "分组测试",
            "codeName" : "grouppanel4",
            "detailStyle" : "DEFAULT",
            "detailType" : "GROUPPANEL",
            "name" : "grouppanel4",
            "getPSDEFormDetails" : [ {
              "actionType" : "UIACTION",
              "caption" : "按钮测试",
              "codeName" : "button1",
              "detailStyle" : "DEFAULT",
              "detailType" : "BUTTON",
              "name" : "button1",
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "form_button1"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEDATA",
                "caption" : "打开HTML界面",
                "codeName" : "OpenHtml",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "Book_OpenHtml",
                "htmlPageUrl" : "https://www.baidu.com",
                "name" : "OpenHtml",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "OpenHtml",
                "uIActionType" : "DEUIACTION",
                "id" : "OpenHtml@Book"
              },
              "tooltip" : "按钮测试",
              "uIActionTarget" : "SINGLEDATA",
              "repeatContent" : true,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false,
            "repeatContent" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "重复器（表单1:1）",
        "codeName" : "grouppanel5",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel5",
        "getPSDEFormDetails" : [ {
          "codeName" : "mdctrl4",
          "contentType" : "REPEATER",
          "detailStyle" : "STYLE3",
          "detailType" : "MDCTRL",
          "fieldName" : "test29",
          "name" : "mdctrl4",
          "getPSAppDEField" : {
            "name" : "FIELD29",
            "codeName" : "Field29"
          },
          "getPSDEFormDetails" : [ {
            "caption" : "文本",
            "codeName" : "formitem11_1",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem11_1",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "formitem11_1"
            },
            "getPSLayoutPos" : {
              "colLG" : 12,
              "colMD" : 12,
              "colSM" : 12,
              "colXS" : 12,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          }, {
            "caption" : "数值",
            "codeName" : "formitem11_2",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem11_2",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "NUMBER",
              "name" : "formitem11_2"
            },
            "getPSLayoutPos" : {
              "colLG" : 12,
              "colMD" : 12,
              "colSM" : 12,
              "colXS" : 12,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "重复器（表格）",
        "codeName" : "grouppanel6",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel6",
        "getPSDEFormDetails" : [ {
          "codeName" : "mdctrl5",
          "contentType" : "REPEATER",
          "detailStyle" : "STYLE2",
          "detailType" : "MDCTRL",
          "name" : "mdctrl5",
          "getPSAppDEField" : {
            "name" : "FIELD36",
            "codeName" : "Field36"
          },
          "getPSDEFormDetails" : [ {
            "caption" : "文本框",
            "codeName" : "formitem5",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem5",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "formitem5"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "repeatContent" : true,
            "showCaption" : true
          }, {
            "caption" : "列表框",
            "codeName" : "formitem4",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "formitem4",
            "noPrivDisplayMode" : 1,
            "getPSEditor" : {
              "editorType" : "DROPDOWNLIST",
              "name" : "formitem4",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/PhoneType.json"
              },
              "singleSelect" : true
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "needCodeListConfig" : true,
            "repeatContent" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "caption" : "书标识",
        "codeName" : "bookid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "bookid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "BOOKID",
          "codeName" : "BookId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "bookid"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "E6B7B775-1FAA-4C9B-8068-F236949B0E31",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "Usr07257969EditViewdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "caption" : "测试多数据编辑器",
    "codeName" : "Usr07257969EditViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr07257969EditView",
  "getPSDEViewId" : "91320682-C985-4B0F-919F-11FABC129E6C",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试多数据编辑器",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "39A0D32E-E76E-49F1-9814-37EF96667FF5",
  "modeltype" : "PSAPPDEVIEW"
}